Package org.opengis.cite.ogcapifeatures10.conformance.crs.query.bboxcrs

# Class BBoxCrsParameterDefault

java.lang.Object
org.opengis.cite.ogcapifeatures10.conformance.CommonFixture
org.opengis.cite.ogcapifeatures10.conformance.crs.query.bboxcrs.AbstractBBoxCrs
org.opengis.cite.ogcapifeatures10.conformance.crs.query.bboxcrs.BBoxCrsParameterDefault

public class BBoxCrsParameterDefault extends AbstractBBoxCrs

     Abstract Test 10: /conf/crs/bbox-crs-parameter-default
     Test Purpose: Verify that the parameter bbox-crs has been implemented correctly
     Requirement: /req/crs/fc-bbox-crs-default-value

     Test Method
     For each spatial feature collection collectionId and every GML or GeoJSON feature representation supported by the
     Web API, send a request with the parameters bbox and bbox-crs to /collections/{collectionId}/items for the default CRS
     of the collection. Use a bbox value in the spatial extent of the collection. Send the same request, but with no
     bbox-crs parameter. Do not include a crs parameter in the requests. Verify that the responses include the same features.

Author:
  Lyn Goltz

- ## Field Summary

  ### Fields inherited from class org.opengis.cite.ogcapifeatures10.conformance.crs.query.bboxcrs.AbstractBBoxCrs

  `BBOX_CRS_PARAM, BBOX_PARAM, collectionIdToCrs, collectionIdToDefaultCrs, collectionsResponses`

  ### Fields inherited from class org.opengis.cite.ogcapifeatures10.conformance.CommonFixture

  `requestLoggingFilter, responseLoggingFilter, rootUri`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `BBoxCrsParameterDefault()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Iterator<Object[]>`
  `collectionDefaultCrs(org.testng.ITestContext testContext)`
  collectionDefaultCrs.
  `void`
  `verifyBboxCrsParameterDefault(String collectionId, io.restassured.path.json.JsonPath collection, CoordinateSystem defaultCrs)`
  verifyBboxCrsParameterDefault.

  ### Methods inherited from class org.opengis.cite.ogcapifeatures10.conformance.crs.query.bboxcrs.AbstractBBoxCrs

  `assertSameFeatures, retrieveRequiredInformationFromTestContext`

  ### Methods inherited from class org.opengis.cite.ogcapifeatures10.conformance.CommonFixture

  `clearMessages, getRequest, getResponse, init, initCommonFixture`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### BBoxCrsParameterDefault

    public BBoxCrsParameterDefault()

- ## Method Details

  - ### collectionDefaultCrs

    @DataProvider(name="collectionDefaultCrs") public Iterator<Object[]> collectionDefaultCrs(org.testng.ITestContext testContext)

    collectionDefaultCrs.

    Parameters:
      `testContext` - a `ITestContext` object
    Returns:
      a `Iterator` object

  - ### verifyBboxCrsParameterDefault

    public void verifyBboxCrsParameterDefault(String collectionId, io.restassured.path.json.JsonPath collection, CoordinateSystem defaultCrs)

    verifyBboxCrsParameterDefault.

    Parameters:
      `collectionId` - the id of the collection, never `null`
      `collection` - the /collection object, never `null`
      `defaultCrs` - the defaultCrs of the collection, never `null`